<?php

use Illuminate\Support\HtmlString;
use Illuminate\Support\Collection;
use Illuminate\Support\Str;

if ( !function_exists('published_html')) {
    /**
     * Retourne le html correspondant à un état publié
     * @param  integer $status L'état de publication
     * @return string         Le HTML pour une liste
     */
    function published_html($status)
    {
        $html = '';
        if ($status == 1 || $status == true) {
            $html = '<i class="fa fa-globe text-success"></i>';
        } else {
            $html = '<i class="fa fa-eye-slash text-warning"></i>';
        }

        return new HtmlString($html);
    }
}

if ( !function_exists('boolean_html')) {
    /**
     * Retourne le html correspondant à un état boolean
     * @param  integer $boolean L'état 
     * @return string         Le HTML pour une liste
     */
    function boolean_html($boolean)
    {
        $html = '';
        if ($boolean == true) {
            $html = '<i class="fa fa-check text-success"></i>';
        } else {
            $html = '<i class="fa fa-times text-danger"></i>';
        }

        return new HtmlString($html);
    }
}

